nagios3 Cookbook
================
[![Build Status](https://travis-ci.org/DennyZhang/nagios3.svg?branch=master)](https://travis-ci.org/DennyZhang/nagios3)
Install and Configure nagios3 monitor with nagiosgraph and common checks predefined

No special configuration is required to enforce the basic checks.

![](https://github.com/DennyZhang/nagios3/raw/master/nagios1.png)
![](https://github.com/DennyZhang/nagios3/raw/master/nagios2.png)

Requirements
------------
### Platform
- Debian/Ubuntu
- RHEL/CentOS/Scientific
- Fedora
- ArchLinux
- FreeBSD

Recipes
-------
* default
* nagios_server
* nagios_client
* nagios_check

Usage
-----
Ensure that the nagios server and client are installed and the service is managed with `recipe[nagios3]`.

Attributes List
---------------

* `node['nagios']['server_ip]` - The nagios server ip. If it's 127.0.0.1 or current chef client ip, this machine will install nagios server. Default value is 127.0.0.1
* `node['nagios'][client_ip_list]` - The nagios client ip list. If it's 127.0.0.1 or current chef client ip is in the ip list, this machine will install nagios server. Default value is 127.0.0.1
* `node['nagios']['allowed_host]` - allowed_host for nrpe call. Default is "127.0.0.1"
* `node['nagios']['admin_username]` - admin username to login webUI of nagios. Default is nagiosadmin
* `node['nagios']['admin_password_hash]` - The hash value of password. Default is password1234. The has can be generated by cli like "openssl passwd -1 password1234"

Examples and Common usage
-------------------------
#### Current machine install both nagios server and client
```json
"nagios": {
  "server_ip": "127.0.0.1",
  "client_ip_list": "127.0.0.1"
}
```

# Customize admin username and password for nagios server
```json
"nagios": {
  "server_ip": "127.0.0.1",
  "client_ip_list": "127.0.0.1"
  "admin_username": "mynagios"
  # generated by "openssl passwd -1 mypassword"
  "admin_password_hash": "$1$hZeGGyy1$AbzVOr8H6DLJTlppWP2zx."
}
```

# Current machine only install nagios client
Suppose we have a cluster of 3 machines, which ip of 192.168.1.3, 192.168.1.4, 192.168.1.5

And we want to deploy nagios system like: 192.168.1.3 as nagios server, all other machines as nagios clients

```json
"nagios": {
  "server_ip": "192.168.1.3",
  "client_ip_list": "192.168.1.3;192.168.1.4;192.168.1.5"
  }
}
```

License & Authors
-----------------
- Author:: DennyZhang001 <denny.zhang001@gmail.com>
- Copyright:: 2015, http://DennyZhang.com

```text

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
